package demo.app.config;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import io.swagger.v3.oas.models.servers.Server;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class SwaggerConfig {

    public static final String TITLE = "Demo App";
    public static final String DESCRIPTION = "Demo App To Display Api Docs";

    @Bean
    public OpenAPI swaggerOpenAPI(
            @Value("${info.app.version}") String appVersion,
            @Value("${server.servlet.context-path}") String contextPath) {

        return new OpenAPI()
                .addServersItem(new Server().url(contextPath))
                .info(new Info()
                        .title(TITLE)
                        .description(DESCRIPTION)
                        .version(appVersion));
    }
}
